<div *ngIf="!ready || !edit">
  <md-card>
    <md-card-content class="food-content">
      <div fxLayout="row">

        <div fxFlex="12%" class="food-align-center">
          <i [class]="customIcons.getCustomIcon(foodItem.foodType)"></i>
        </div>

        <div fxFlex="15%">
          <h3>{{foodItem.name}}</h3>
        </div>

        <div class="food-descr" fxFlex="35%">
          <p>{{foodItem.description}}</p>
          <div  *ngIf="!foodItem.description">
            <p>no description available</p>
          </div>
        </div>

        <div fxFlex="25%">
          <p class="food-price">
            <span>{{foodItem.price}}
              <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
            </span>
          </p>
        </div>

        <div fxFlex="8%">
          <button md-fab color="primary" [disabled]="disableButtons" (click)='editFood()' title="Edit Food">
              <md-icon>edit</md-icon>
          </button>
        </div>

        <div fxFlex="10%" class="delete-food">
          <button md-mini-fab color="accent" [disabled]="disableButtons" (click)="openDeleteDialog(foodItem)" *ngIf="!foodItem.archived" title="Delete Food">
            <md-icon class="food-delete-icon">delete_forever</md-icon>
          </button>
        </div>

      </div>
      <div *ngIf="disableButtons" class="working-spinner">
        <md-spinner color="warn" class="small-md-spinner"></md-spinner>
      </div>
    </md-card-content>
  </md-card>
</div>

<app-chef-food-edit *ngIf="edit && ready" [clone]="clone" [foodItemEditable]="foodItemEditable" (foodItemEdited)="updateFoodItem($event)">
</app-chef-food-edit>
